gSOAP UDDI v2: uddi2__save_USCOREtModel Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__save_USCOREtModel Class Reference

Schema urn:uddi-org:api_v2:"save_tModel". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__save_USCOREtModel (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__save_USCOREtModel (struct soap *, uddi2__tModel &tModel)
| Member declared in uddi2-typemap.dat.
| uddi2__save_USCOREtModel (struct soap *, std::vector< uddi2__tModel * > tModels)
| Member declared in uddi2-typemap.dat.
uddi2__tModelDetail * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__tModel * > | tModel
| Vector of uddi2__tModel* with length 0..unbounded.
std::vector< char * > | uploadRegister
| Vector of char* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"save_tModel".

Represents a request to post tModel information on a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137745

## Constructor & Destructor Documentation

uddi2__save_USCOREtModel::uddi2__save_USCOREtModel | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the save_USCOREtModel class.

uddi2__save_USCOREtModel::uddi2__save_USCOREtModel | ( | struct soap * | soap,
|  | uddi2__tModel & | tModel
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModel | a tModel
Creates an instance of the save_USCOREtModel class using the specified tModel.

uddi2__save_USCOREtModel::uddi2__save_USCOREtModel | ( | struct soap * | soap,
|  | std::vector< uddi2__tModel * > | tModels
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModels | collection of tModels
Creates an instance of the save_USCOREtModel class using the specified tModels.

## Member Function Documentation

uddi2__tModelDetail * uddi2__save_USCOREtModel::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server
Returns: A pointer to a uddi2__tModelDetail object or NULL on error Send a request to a UDDI server to post tModel information on the server.

## Member Data Documentation

char* uddi2__save_USCOREtModel::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

char* uddi2__save_USCOREtModel::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__save_USCOREtModel::soap

| A handle to the soap struct context that manages this class instance.

std::vector<uddi2__tModel* > uddi2__save_USCOREtModel::tModel

| Vector of uddi2__tModel* with length 0..unbounded.

std::vector<char* > uddi2__save_USCOREtModel::uploadRegister

| Vector of char* with length 0..unbounded.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h